-- Adminer 4.6.0 MySQL dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

DROP DATABASE IF EXISTS `registerdb`;
CREATE DATABASE `registerdb` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `registerdb`;

DROP TABLE IF EXISTS `branch`;
CREATE TABLE `branch` (
  `branchid` char(2) NOT NULL DEFAULT '',
  `bname` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`branchid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `branch` (`branchid`, `bname`) VALUES
('01',	'วิทยาการคอมพิวเตอร์'),
('02',	'เทคโนโลยีสารสนเทศ'),
('03',	'คอมพิวเตอร์ศึกษา');

DROP VIEW IF EXISTS `case_if`;
CREATE TABLE `case_if` (`studentid` char(10), `sfname` varchar(510), `slname` varchar(255), `total` double, `grade` varchar(2), `subjectname` varchar(80));


DROP TABLE IF EXISTS `classroom`;
CREATE TABLE `classroom` (
  `noroom` varchar(5) NOT NULL DEFAULT '',
  `classroom` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`noroom`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `classroom` (`noroom`, `classroom`) VALUES
('1102',	'ห้องเรียน'),
('301',	'ห้องเรียน'),
('533',	'ห้องปฏิบัติการคอมพิวเตอร์ 533'),
('534',	'ห้องปฏิบัติการคอมพิวเตอร์ 534'),
('535',	'ห้องปฏิบัติการคอมพิวเตอร์ 535');

DROP TABLE IF EXISTS `faculty`;
CREATE TABLE `faculty` (
  `facultyid` char(1) NOT NULL DEFAULT '',
  `fname` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`facultyid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `faculty` (`facultyid`, `fname`) VALUES
('1',	'คณะวิทยาศาสตร์และเทคโนโลยี'),
('2',	'คณะวิทยาการจัดการ');

DROP TABLE IF EXISTS `lessonplan`;
CREATE TABLE `lessonplan` (
  `yearterm` char(6) NOT NULL DEFAULT '',
  `yearbranch` char(7) NOT NULL DEFAULT '',
  `subjectid` char(7) NOT NULL DEFAULT '',
  `noroom` varchar(5) DEFAULT NULL,
  `timeroom` varchar(15) DEFAULT NULL,
  `teacherid` char(6) NOT NULL,
  `type` char(2) NOT NULL,
  PRIMARY KEY (`yearterm`,`yearbranch`,`subjectid`),
  KEY `noroom` (`noroom`),
  KEY `subjectid` (`subjectid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `lessonplan` (`yearterm`, `yearbranch`, `subjectid`, `noroom`, `timeroom`, `teacherid`, `type`) VALUES
('2558/1',	'57/11',	'1553643',	'1102',	'13:00-16:30',	'300201',	'01'),
('2558/1',	'57/11',	'4120402',	'534',	'08:30-12:00',	'316113',	'01'),
('2558/1',	'57/11',	'4121301',	'535',	'08:30-12:00',	'309124',	'02'),
('2558/1',	'57/11',	'4122201',	'534',	'13:00-16:30',	'309132',	'01'),
('2558/1',	'57/11',	'4123516',	'534',	'08:30-12:00',	'316209',	'01'),
('2558/2',	'57/11',	'0400102',	'301',	'08:30-12:00',	'301110',	'01'),
('2558/2',	'57/11',	'4120202',	'533',	'13:00-16:30',	'100002',	'01'),
('2558/2',	'57/11',	'4120203',	'534',	'08:30-12:00',	'100001',	'01'),
('2558/2',	'57/11',	'4120207',	'535',	'08:30-12:00',	'100002',	'02');

DROP TABLE IF EXISTS `member`;
CREATE TABLE `member` (
  `userid` int(3) unsigned zerofill NOT NULL AUTO_INCREMENT,
  `username` varchar(20) NOT NULL,
  `surname` varchar(100) NOT NULL,
  `password` varchar(20) NOT NULL,
  PRIMARY KEY (`userid`),
  UNIQUE KEY `Username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `member` (`userid`, `username`, `surname`, `password`) VALUES
(001,	'sawit',	'kaewkhamchan',	'201102'),
(002,	'yuwathida',	'aimin',	'093458'),
(003,	'admin',	'admin',	'admin');

DROP TABLE IF EXISTS `register12555`;
CREATE TABLE `register12555` (
  `yearterm` char(6) NOT NULL,
  `yearbranch` char(5) DEFAULT NULL,
  `subjectid` char(7) NOT NULL DEFAULT '',
  `studentid` char(10) NOT NULL DEFAULT '',
  `midterm` float NOT NULL,
  `final` float NOT NULL,
  `grade` char(2) NOT NULL,
  `teacherid` char(6) DEFAULT NULL,
  PRIMARY KEY (`subjectid`,`studentid`,`yearterm`),
  KEY `studentid` (`studentid`),
  KEY `teacherid` (`teacherid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `register12555` (`yearterm`, `yearbranch`, `subjectid`, `studentid`, `midterm`, `final`, `grade`, `teacherid`) VALUES
('2558/1',	'57/11',	'1553643',	'5743711002',	40,	40,	'B',	'300201'),
('2558/1',	'57/11',	'1553643',	'5743711021',	30,	30,	'C',	'300201'),
('2558/1',	'57/11',	'4120402',	'5743711002',	45,	35,	'B',	'316113'),
('2558/1',	'57/11',	'4120402',	'5743711021',	40,	40,	'B',	'316113');

DROP TABLE IF EXISTS `student`;
CREATE TABLE `student` (
  `studentid` varchar(255) DEFAULT NULL,
  `sfname` varchar(510) DEFAULT NULL,
  `slname` varchar(255) DEFAULT NULL,
  `sidcard` char(13) NOT NULL,
  `branchid` char(2) NOT NULL,
  `facultyid` char(1) NOT NULL,
  `password` varchar(255) NOT NULL,
  `yearbranch` char(7) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `student` (`studentid`, `sfname`, `slname`, `sidcard`, `branchid`, `facultyid`, `password`, `yearbranch`) VALUES
('5743711002',	'นางสาวศิวาพร',	'สุฤทธาภรณ์',	'',	'01',	'1',	'',	'57/11'),
('5743711006',	'นายมงคล',	'เลิศจรูญ',	'',	'01',	'1',	'',	'57/11'),
('5743711009',	'นายอาลัม',	'อัครมนัส',	'',	'01',	'1',	'',	'57/11'),
('5743711011',	'นายวุฒิชัย',	'นาคจำแลง',	'',	'01',	'1',	'',	'57/11'),
('5743711012',	'นายพรเทพ',	'เกษเบ็ญฤทธิกุล',	'',	'01',	'1',	'',	'57/11'),
('5743711014',	'นายกมล',	'สมสุข',	'',	'01',	'1',	'',	'57/11'),
('5743711016',	'นายศรายุสม์',	'สวงโท',	'',	'01',	'1',	'',	'57/11'),
('5743711018',	'นายณัฐพล',	'ศรีอาวุธ',	'',	'01',	'1',	'',	'57/11'),
('5743711019',	'นายโสฬส',	'ภักดีดำริห์กุล',	'',	'01',	'1',	'',	'57/11'),
('5743711021',	'นางสาวกังสดาล',	'ขาวจันทร์',	'',	'01',	'1',	'',	'57/11');

DROP TABLE IF EXISTS `stype`;
CREATE TABLE `stype` (
  `stypeid` char(2) NOT NULL,
  `typename` varchar(30) NOT NULL,
  PRIMARY KEY (`stypeid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `stype` (`stypeid`, `typename`) VALUES
('01',	'วิชาบังคับ'),
('02',	'วิชาเลือก');

DROP TABLE IF EXISTS `subject`;
CREATE TABLE `subject` (
  `subjectid` char(7) DEFAULT NULL,
  `subjectname` varchar(80) DEFAULT NULL,
  `credit` int(2) NOT NULL,
  `dtime` char(7) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `subject` (`subjectid`, `subjectname`, `credit`, `dtime`) VALUES
('0400102',	'วิทยาศาสตร์เพื่อคุณภาพชีวิต',	3,	'(2-2-5)'),
('1553643',	'ภาษาอังกฤษสำหรับวิทยาการคอมพิวเตอร์',	3,	'(2-2-5)'),
('4120402',	'ระบบปฏิบัติการ',	3,	'(2-2-5)'),
('4122201',	'ระบบการจัดการฐานข้อมูล',	3,	'(2-2-5)'),
('4121301',	'การเขียนโปรแกรมเชิงวัตถุ',	3,	'(2-2-5)'),
('4123516',	'เทคโนโลยีมัลติมีเดีย',	3,	'(2-2-5)'),
('4120202',	'โครงสร้างข้อมูลและอัลกอริทึม',	3,	'(2-2-5)'),
('4120203',	'การเขียนโปรแกรมจาวา',	3,	'(2-2-5)'),
('4120207',	'โปรแกรมภาษาชั้นสูง',	3,	'(2-2-5)');

DROP TABLE IF EXISTS `teacher`;
CREATE TABLE `teacher` (
  `teacherid` varchar(255) DEFAULT NULL,
  `tfname` varchar(510) DEFAULT NULL,
  `tlname` varchar(255) DEFAULT NULL,
  `tidcard` char(13) NOT NULL,
  `tpassword` varchar(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `teacher` (`teacherid`, `tfname`, `tlname`, `tidcard`, `tpassword`) VALUES
('300201',	'อาจารย์ ดร.จุฑามาส',	'ศิริอังกูรวาณิช',	'098765432123',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('301110',	'ผู้ช่วยศาสตราจารย์พูนทรัพย์',	'มิตรสัมพันธ์',	'6543234567898',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('309124',	'อาจารย์วิชัย',	'สีแก้ว',	'4567890987654',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('309132',	'ผศ.ดร.ฐัศแก้ว',	'ศรีสด',	'1234567894321',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('316113',	'อาจารย์เอกรินทร์',	'ตั้งนิธิบุญ',	'0987654323456',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('316209',	'อาจารย์วรรณพร',	'จิตรสังวรณ์',	'1234567898765',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('100001',	'อาจารย์เก่ง1',	'ขยันดี1',	'2234567890123',	'*A4B6157319038724E3560894F7F932C8886EBFCF'),
('100002',	'อาจารย์เก่ง2',	'ขยันดี2',	'2234567890124',	'*A4B6157319038724E3560894F7F932C8886EBFCF');

DROP TABLE IF EXISTS `case_if`;
CREATE ALGORITHM=UNDEFINED SQL SECURITY DEFINER VIEW `case_if` AS select `r`.`studentid` AS `studentid`,`std`.`sfname` AS `sfname`,`std`.`slname` AS `slname`,`r`.`midterm` + `r`.`final` AS `total`,if(`r`.`midterm` + `r`.`final` >= 90,'A',if(`r`.`midterm` + `r`.`final` >= 85,'B+',if(`r`.`midterm` + `r`.`final` >= 75,'B',if(`r`.`midterm` + `r`.`final` >= 70,'C+',if(`r`.`midterm` + `r`.`final` >= 60,'C',if(`r`.`midterm` + `r`.`final` >= 55,'D+',if(`r`.`midterm` + `r`.`final` >= 50,'D','F'))))))) AS `grade`,`sj`.`subjectname` AS `subjectname` from ((`register12555` `r` join `student` `std`) join `subject` `sj`) where `r`.`studentid` = `std`.`studentid` and `r`.`subjectid` = `sj`.`subjectid`;

-- 2018-03-22 16:21:28
